Changeset 9c9775f for blfs-tool


Ignore:
Timestamp:
09/19/2007 04:50:48 PM (17 years ago)
Author:
Manuel Canales Esparcia <manuel@…>
Branches:
experimental
Children:
3778352
Parents:
0510381
Message:

Updated experimental branch to current trunk code.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • blfs-tool

    r0510381 r9c9775f  
    3939#-----------------------#
    4040  # If +e then disable text output
    41   if [[ "$-" =~ "e" ]]; then
     41  if [[ "$-" =~ e ]]; then
    4242    echo -e "\n${RED}ERROR:${GREEN} basic error trapped!${OFF}\n" >&2
    4343  fi
     
    4545
    4646see_ya() {
    47     echo -e "\n${L_arrow}${BOLD}jhalfs-X${R_arrow} exit${OFF}\n"
     47    echo -e "\n${L_arrow}${BOLD}jhalfs-trunk${R_arrow} exit${OFF}\n"
    4848}
    4949##### Simple error TRAPS
     
    7474
    7575[[ $VERBOSITY > 0 ]] && echo -n "Loading function <func_check_version.sh>..."
    76 source $COMMON_DIR/func_check_version.sh
     76source $COMMON_DIR/libs/func_check_version.sh
    7777[[ $? > 0 ]] && echo " function module did not load.." && exit 2
    7878[[ $VERBOSITY > 0 ]] && echo "OK"
    7979
    8080[[ $VERBOSITY > 0 ]] && echo -n "Loading function <func_validate_configs.sh>..."
    81 source $COMMON_DIR/func_validate_configs.sh
     81source $COMMON_DIR/libs/func_validate_configs.sh
    8282[[ $? > 0 ]] && echo " function module did not load.." && exit 2
    8383[[ $VERBOSITY > 0 ]] && echo "OK"
     
    9696                 echo " Please rerun make and fix the configuration."
    9797                 exit 2 ;;
    98      branch-* )  TREE=branches/${BRANCH_ID#branch-}/BOOK ;;
    99             * )  TREE=tags/${BRANCH_ID}/BOOK ;;
     98     branch-* )  TREE=branches/${BRANCH_ID#branch-} ;;
     99            * )  TREE=tags/${BRANCH_ID} ;;
    100100esac
    101101
     
    113113XML_FILE="<?xml version='1.0' encoding='ISO-8859-1'?>
    114114<?xml-stylesheet type='text/xsl' href='http://docbook.sourceforge.net/release/xsl/1.69.1/xhtml/docbook.xsl'?>
    115 <!DOCTYPE article PUBLIC '-//OASIS//DTD DocBook XML V4.4//EN'
    116   'http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd'>
     115<!DOCTYPE article PUBLIC '-//OASIS//DTD DocBook XML V4.5//EN'
     116  'http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd'>
    117117<article>
    118118  <title>Test file</title>
     
    124124
    125125if `echo $XML_FILE | xmllint -noout -postvalid - 2>/dev/null` ; then
    126   check_version "4.4" "4.4" "DocBook XML DTD"
     126  check_version "4.5" "4.5" "DocBook XML DTD"
    127127else
    128   echo "Warning: not found a working DocBook XML DTD 4.4 installation"
     128  echo "Warning: not found a working DocBook XML DTD 4.5 installation"
    129129  exit 2
    130130fi
    131131
    132 if `echo $XML_FILE | xsltproc --noout - 2>/dev/null` ; then
    133   check_version "1.69.1" "1.69.1" "DocBook XSL"
    134 else
    135   echo "Warning: not found a working DocBook XSL 1.69.1 installation"
    136   exit 2
    137 fi
     132# if `echo $XML_FILE | xsltproc --noout - 2>/dev/null` ; then
     133#   check_version "1.69.1" "1.69.1" "DocBook XSL"
     134# else
     135#   echo "Warning: not found a working DocBook XSL 1.69.1 installation"
     136#   exit 2
     137# fi
    138138
    139139echo "${SD_BORDER}${nl_}"
     
    179179
    180180# Run the menuconfig interface
    181 make
     181make -B
    182182
Note: See TracChangeset for help on using the changeset viewer.